<?php

namespace App\Http\Controllers\Site;

use App\ContactForm;
use App\InquiryProduct;
use App\Mail\SendProduct;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Mail;
use Validator;

class ContactForms extends Controller
{
    /** Created by: Sanjaya prasanna
     * Created At: 03-04-2019
     * Summery: Insert inquiry form data to table.
     * @param Request $request
     */
    public  function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'product' => 'required',
            'email' => 'required',
            'message' => 'required',
        ],
            [
                'name.required' => 'Name field is required',
                'product.required' => 'Subject field is required',
                'email.required' => 'Email field is required',
                'message.required' => 'Message field is required',
            ]
        );
        if ($validator->fails()) {
            return redirect('/#inquaries')
                ->withErrors($validator)
                ->withInput();
        }

        $name = $request->name;
        $product = $request->product;
        $client_mail= $request->email;
        $content= $request->message;

        $data = new  ContactForm;
        $data['name'] = $request->name;
        $data['product'] = $request->product;
        $data['email'] = $request->email;
        $data['message'] = $request->message;
        $data->save();


        $emails = InquiryProduct::all()->where('product_name', $request->product);
        foreach ($emails as $email){
            Mail::to($email->email)->send(new  SendProduct($name, $product, $client_mail, $content));
        }

        return back()->with('status', 'Inquiry form successfully submitted.');


    }

}
