$(document).ready(function() {
    
    $('table .del-record-btn').click(function(e){
        e.preventDefault();
        var btn = $(this);
        var edit = $(this).parent().children('a');
        var row = $(this).parent().parent('tr');
        var form_ID = $(this).data('delform');
        $(this).parent().parent('tr').attr('style', 'background-color:#FFECEE');
       
        if(confirm('Are you sure you want to delete this record?')){
            var formData = $('#'+form_ID).serialize();
            var token = $('#'+form_ID+' input[name="_token"]').val();
            var id = $('#'+form_ID+' input[name="id"]').val();

            $.ajax(this.href, {
                type: 'DELETE',
                data: formData,
                dataType: 'json',
                processData: false,
                contentType: false,
                headers: {
                    "X-CSRF-Token": token,
                },
                beforeSend: function(arr, $form, options) {
                    btn.attr('data-text', btn.html()).html('Wait...').addClass('disabled');
                    edit.addClass('disabled');
                },
                success: function(data) {
                    if(data.success){
                        row.remove();
                    }

                },
                error: function(data) {

                },
                complete: function() {
                    btn.html(btn.data('text')).removeClass('disabled');
                    edit.removeClass('disabled');
                }
            });
        }else{
            $(this).parent().parent().removeAttr('style');
        }
    });
    
    if ($('.i-checks').exists()) {
        $('.i-checks').iCheck({
            checkboxClass: 'icheckbox_square-green',
            radioClass: 'iradio_square-green',
        });
    }
    
    $('#resetBtn').click(function(){
        $('.alert.alert-danger, .alert.alert-success').hide();
    });
    
    // AJAX Form Automatic Detection
    
    $("form[data-ajax='true']").ajaxForm({
        dataType: 'json',
        beforeSubmit: function(arr, $form, options) {
            $('.alert.alert-danger, .alert.alert-success').hide();
            var clickedBtn = $("button[type=submit][clicked=true]");
            clickedBtn.attr('data-text', clickedBtn.html()).html('Saving...').attr('disabled', true);
        },
        success: function(data, statusText, xhr, $form) {
            if(data.success){
                $("#response").hide().html('<div class="alert alert-' + data.alert + ' alert-dismissable"> <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button> ' + data.message + ' </div>');
                $("#response").slideDown();
                if($form.data('form')=='create'){
                    //$form.clearForm();
                    $form.trigger('reset');
                }
            }else{
                var errList = '<ul>';
                $.each(data.errors, function(index, error){
                    errList += '<li>'+error+'</li>';
                });
                errList += '</ul>'
                $("#response").hide().html('<div class="alert alert-' + data.alert + ' alert-dismissable"> <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button> ' + errList + ' </div>');
                $("#response").slideDown();
            }
            var clickedBtn = $("button[type=submit][clicked=true]");
            clickedBtn.html(clickedBtn.data('text')).attr('disabled', false);
        },
        error: function(responseText) {
            var clickedBtn = $("button[type=submit][clicked=true]");
            clickedBtn.html(clickedBtn.data('text')).attr('disabled', false);
        } 
    });
    
    // SET Click Button of AJAX Form
    
    $("form[data-ajax='true'] button[type=submit]").click(function() {
        $("button[type=submit]", $(this).parents("form")).removeAttr("clicked");
        $(this).attr("clicked", "true");
    });
    
    $('#frm-dispatch').submit(function (e){
        e.preventDefault();
        var formData = $('#frm-dispatch').serialize();
        $.ajax({
            url: "dispatch/search",
            type: 'POST',
            data: formData,
            success: function (respond) {
                 if (respond.success) {
                    $('#dispatch_res').html(respond.data);
                } else {
                    alert(respond.data);
                }
            },
            complete: function () {
                
            }
        });
    });
    
//    $('#dispatch_res').on('submit', '#frmMarkDispatched', function (e){
//        e.preventDefault();
//        if($('#selProduct').val() == ''){
//            alert('Please select a product');
//        }
//        if(confirm('Do you want to mark this item dispatched?')){
//            var formData = $('#frmMarkDispatched').serialize();
//            $.ajax({
//                url: "dispatch/markdispatched",
//                type: 'POST',
//                data: formData,
//                success: function (respond) {
//                    if (respond.success) {
//                        $('#div-alert').show();
//                        $('#btnMarkDispatched').hide();
//                        
//                        $('#selProduct').parent().parent().removeAttr('style');
//                        $('#selProduct').parent().css('padding-top', '8px').append($('#selProduct').val());
//                        $('#selProduct').remove();
//                        
//                        $('#txtQuantity').parent().parent().removeAttr('style');
//                        $('#txtQuantity').parent().css('padding-top', '8px').append($('#txtQuantity').val());
//                        $('#txtQuantity').remove();
//                        
//                        $('#txtReceiptNo').parent().parent().removeAttr('style');
//                        $('#txtReceiptNo').parent().css('padding-top', '8px').append($('#txtReceiptNo').val());
//                        $('#txtReceiptNo').remove();
//                        
//                        $('#txtDispatchDate').parent().parent().removeAttr('style');
//                        $('#txtDispatchDate').parent().css('padding-top', '8px').append($('#txtDispatchDate').val());
//                        $('#txtDispatchDate').remove();
//                    }
//                },
//                complete: function () {
//
//                }
//            });
//         }
//    });
});

jQuery.fn.exists = function(){return this.length>0;}