(function($,sr){
    // debouncing function from John Hann
    // http://unscriptable.com/index.php/2009/03/20/debouncing-javascript-methods/
    var debounce = function (func, threshold, execAsap) {
      var timeout;

        return function debounced () {
            var obj = this, args = arguments;
            function delayed () {
                if (!execAsap)
                    func.apply(obj, args); 
                timeout = null; 
            }

            if (timeout)
                clearTimeout(timeout);
            else if (execAsap)
                func.apply(obj, args);

            timeout = setTimeout(delayed, threshold || 100); 
        };
    };

    // smartresize 
    jQuery.fn[sr] = function(fn){  return fn ? this.bind('resize', debounce(fn)) : this.trigger(sr); };

})(jQuery,'smartresize');

var CURRENT_URL = window.location.href.split('#')[0].split('?')[0],
    $BODY = $('body'),
    $MENU_TOGGLE = $('#menu_toggle'),
    $SIDEBAR_MENU = $('#sidebar-menu'),
    $SIDEBAR_FOOTER = $('.sidebar-footer'),
    $LEFT_COL = $('.left_col'),
    $RIGHT_COL = $('.right_col'),
    $NAV_MENU = $('.nav_menu'),
    $FOOTER = $('footer'),
    setContentHeight = null;

// Sidebar
function init_sidebar() {
    // TODO: This is some kind of easy fix, maybe we can improve this
    setContentHeight = function () {
        // reset height
        $RIGHT_COL.css('min-height', $(window).height());

        var bodyHeight = $BODY.outerHeight(),
            footerHeight = $BODY.hasClass('footer_fixed') ? -10 : $FOOTER.height(),
            leftColHeight = $LEFT_COL.eq(1).height() + $SIDEBAR_FOOTER.height(),
            contentHeight = bodyHeight < leftColHeight ? leftColHeight : bodyHeight;

        // normalize content
        contentHeight -= $NAV_MENU.height() + footerHeight;

        $RIGHT_COL.css('min-height', contentHeight);
    };
    
    $SETCONTENTHEIGHT = setContentHeight();

    $SIDEBAR_MENU.find('a').on('click', function(ev) {
	  //console.log('clicked - sidebar_menu');
        var $li = $(this).parent();

        if ($li.is('.active')) {
            $li.removeClass('active active-sm');
            $('ul:first', $li).slideUp(function() {
                setContentHeight();
            });
        } else {
            // prevent closing menu if we are on child menu
            if (!$li.parent().is('.child_menu')) {
                $SIDEBAR_MENU.find('li').removeClass('active active-sm');
                $SIDEBAR_MENU.find('li ul').slideUp();
            }else
            {
				if ( $BODY.is( ".nav-sm" ) )
				{
					$SIDEBAR_MENU.find( "li" ).removeClass( "active active-sm" );
					$SIDEBAR_MENU.find( "li ul" ).slideUp();
				}
			}
            $li.addClass('active');

            $('ul:first', $li).slideDown(function() {
                setContentHeight();
            });
        }
    });

    // toggle small or large menu 
    $MENU_TOGGLE.on('click', function() {
        //console.log('clicked - menu toggle');

        if ($BODY.hasClass('nav-md')) {
            $SIDEBAR_MENU.find('li.active ul').hide();
            $SIDEBAR_MENU.find('li.active').addClass('active-sm').removeClass('active');
        } else {
            $SIDEBAR_MENU.find('li.active-sm ul').show();
            $SIDEBAR_MENU.find('li.active-sm').addClass('active').removeClass('active-sm');
        }

        $BODY.toggleClass('nav-md nav-sm');

        setContentHeight();

        $('.dataTable').each ( function () { $(this).dataTable().fnDraw(); });
    });

	// check active menu
    
    $('.side-menu li.active ul').show();
    
	$SIDEBAR_MENU.find('a[href="' + CURRENT_URL + '"]').parent('li').addClass('current-page');

	$SIDEBAR_MENU.find('a').filter(function () {
        setContentHeight();
		return this.href == CURRENT_URL;
	}).parent('li').addClass('current-page').parents('ul').slideDown(function() {
		setContentHeight();
	}).parent().addClass('active');

	// recompute content when resizing
	$(window).smartresize(function(){  
		setContentHeight();
	});

	setContentHeight();

	// fixed sidebar
	if ($.fn.mCustomScrollbar) {
		$('.menu_fixed').mCustomScrollbar({
			autoHideScrollbar: true,
			theme: 'minimal',
			mouseWheel:{ preventDefault: true }
		});
	}
};

$(document).ready(function() {
    var timer = setTimeout(function(){ setContentHeight(); clearTimeout(timer); }, 100);
});

var randNum = function() {
  return (Math.floor(Math.random() * (1 + 40 - 20))) + 20;
};

// Panel toolbox
$(document).ready(function() {
    $('.collapse-link').on('click', function() {
        var $BOX_PANEL = $(this).closest('.x_panel'),
            $ICON = $(this).find('i'),
            $BOX_CONTENT = $BOX_PANEL.find('.x_content');
        
        // fix for some div with hardcoded fix class
        if ($BOX_PANEL.attr('style')) {
            $BOX_CONTENT.slideToggle(200, function(){
                $BOX_PANEL.removeAttr('style');
            });
        } else {
            $BOX_CONTENT.slideToggle(200); 
            $BOX_PANEL.css('height', 'auto');  
        }

        $ICON.toggleClass('fa-chevron-up fa-chevron-down');
    });

    $('.close-link').click(function () {
        var $BOX_PANEL = $(this).closest('.x_panel');

        $BOX_PANEL.remove();
    });
});

// NProgress
if (typeof NProgress != 'undefined') {
    $(document).ready(function () {
        NProgress.start();
    });

    $(window).load(function () {
        NProgress.done();
    });
}

function init_flot_chart() {

    if (typeof ($.plot) === 'undefined') {
        return;
    }

    var dashboard_chart_plot_data = JSON.parse(chartData);

    /*for (var i = 0; i < 31; i++) {
        dashboard_chart_plot_data.push([new Date(Date.today().add(i).days()).getTime(), randNum() + i + i + 10]);
    }*/

    var dashboard_chart_plot_settings = {
        grid: {
            show: true,
            aboveData: true,
            color: "#3f3f3f",
            labelMargin: 10,
            axisMargin: 0,
            borderWidth: 0,
            borderColor: null,
            minBorderMargin: 5,
            clickable: true,
            hoverable: true,
            autoHighlight: true,
            mouseActiveRadius: 100
        },
        series: {
            lines: {
                show: true,
                fill: true,
                lineWidth: 2,
                steps: false
            },
            points: {
                show: true,
                radius: 4.5,
                symbol: "circle",
                lineWidth: 3.0
            }
        },
        legend: {
            position: "ne",
            margin: [0, -25],
            noColumns: 0,
            labelBoxBorderColor: null,
            labelFormatter: function (label, series) {
                return '&nbsp;&nbsp; ' + label + '&nbsp;&nbsp;';
            },
            width: 40,
            height: 1
        },
        colors: ['#96CA59', '#3F97EB', '#72c380', '#6f7a8a', '#f7cb38', '#5a8022', '#2c7282'],
        shadowSize: 0,
        tooltip: true,
        tooltipOpts: {
            content: "%s: %y.0",
            xDateFormat: "%d/%m",
            shifts: {
                x: -30,
                y: -50
            },
            defaultTheme: false
        },
        yaxis: {
            min: 0
        },
        xaxis: {
            mode: "time",
            minTickSize: [1, "day"],
            timeformat: "%d/%m/%y",
            min: dashboard_chart_plot_data[0][0],
            max: dashboard_chart_plot_data[30][0]
        }
    };

    if ($("#dashboard_chart_plot").length) {

        $.plot($("#dashboard_chart_plot"), [{
            label: "Quiz Sessions",
            data: dashboard_chart_plot_data,
            lines: {
                fillColor: "rgba(150, 202, 89, 0.12)"
            },
            points: {
                fillColor: "#fff"
            }
        }], dashboard_chart_plot_settings);
        
        $("#dashboard_chart_plot").UseTooltip();
    }

}

var previousPoint = null;

$.fn.UseTooltip = function () {
    $(this).bind("plothover", function (event, pos, item) {                         
        if (item) {
            if (previousPoint != item.dataIndex) {
                previousPoint = item.dataIndex;

                $("#tooltip").remove();
                
                var x = item.datapoint[0];
                var y = item.datapoint[1];     
                var date = new Date(+x);

                showTooltip(item.pageX, item.pageY, "<strong>" + y + "</strong> - " + item.series.label + "<br/>" + date.toLocaleDateString());
            }
        }
        else {
            $("#tooltip").remove();
            previousPoint = null;
        }
    });
};

function showTooltip(x, y, contents) {
    $('<div id="tooltip">' + contents + '</div>').css({
        position: 'absolute',
        display: 'none',
        top: y + 5,
        left: x + 20,
        border: '1px solid #222',
        padding: '7px',     
        'font-size': '12px',
        color: '#fff',
        'border-radius': '4px',
        'background-color': 'rgba(0,0,0,0.8)',
    }).appendTo("body").fadeIn(200);
}

//function init_chart_doughnut() {
//
//    if (typeof (Chart) === 'undefined') {
//        return;
//    }
//
//    if ($('.canvasDoughnut').length) {
//
//        var quizResultsSettings = {
//            type: 'doughnut',
//            tooltipFillColor: "rgba(51, 51, 51, 0.55)",
//            data: {
//                labels: [
//                    "Constipation",
//                    "Diarrhoea",
//                    "Gassiness",
//                    "Healthy Baby"
//                ],
//                datasets: [{
//                    data: doughnutResults, //[15, 20, 30, 10, 30],
//                    backgroundColor: [
//                        "#dea406",
//                        "#3498DB",
//                        "#26B99A",
//                        "#d25cd6"
//                    ],
//                    hoverBackgroundColor: [
//                        "#f7c744",
//                        "#4eaceb",
//                        "#34cbab",
//                        "#e670ea"
//                    ]
//                }]
//            },
//            options: {
//                legend: false,
//                responsive: false
//            }
//        }
//        
//        if($('#quizResults').length){
//            var quizResults = new Chart($('#quizResults'), quizResultsSettings);
//        }
//        
//        var quizStatusSettings = {
//            type: 'doughnut',
//            tooltipFillColor: "rgba(51, 51, 51, 0.55)",
//            data: {
//                labels: [
//                    "Completed",
//                    "Not Completed"
//                ],
//                datasets: [{
//                    data: doughnutStatus, //[15, 20],
//                    backgroundColor: [
//                        "#26B99A",
//                        "#3498DB",
//                    ],
//                    hoverBackgroundColor: [
//                        "#34cbab",
//                        "#4eaceb",
//                    ]
//                }]
//            },
//            options: {
//                legend: false,
//                responsive: false
//            }
//        }
//        
//        if($('#quizStatus').length){
//            var quizStatus = new Chart($('#quizStatus'), quizStatusSettings);
//        }
//
//    }
//}

function init_DataTables() {

    if (typeof ($.fn.DataTable) === 'undefined') {
        return;
    }

    var handleDataTableButtons = function () {
        if ($("#datatable-results").length) {
            $("#datatable-results").DataTable({
                dom: "Bfrtip",
                pageLength: 100,
                buttons: [
                    {
                        extend: "copy",
                        className: "btn-sm"
                    },
                    {
                        extend: "csv",
                        className: "btn-sm"
                    },
                    {
                        extend: "excel",
                        className: "btn-sm"
                    },
                    {
                        extend: "pdfHtml5",
                        className: "btn-sm"
                    },
                    {
                        extend: "print",
                        className: "btn-sm"
                    },
                  ],
                responsive: true
            });
        }
    };

    TableManageButtons = function () {
        "use strict";
        return {
            init: function () {
                handleDataTableButtons();
            }
        };
    }();

    $("#datatable-results").on('draw.dt', function () {
        setContentHeight();
    });

    TableManageButtons.init();

};

$(document).ready(function() {
    init_flot_chart();
    init_sidebar();
    init_DataTables();
    //init_chart_doughnut();
});