@include('admin.includes.header')
@include('admin.includes.top-nav')
@include('admin.includes.side-nav')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Manage Categories</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    {{--<ol class="breadcrumb float-sm-right">--}}
                    {{--<li class="breadcrumb-item"><a href="#">Home</a></li>--}}
                    {{--<li class="breadcrumb-item active">Starter Page</li>--}}
                    {{--</ol>--}}
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Add new category</h4>
                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-widget="remove"><i
                                            class="fa fa-remove"></i></button>
                            </div>
                        </div>
                        <div class="col-md-8 offset-md-2">
                            @if ($errors->any())
                                <div class="alert">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li class="text-danger">{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session('status'))
                                <div class="alert alert-dismissible mt-5 alert-success ">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h5><i class="icon fa fa-check"></i> Success Message</h5>
                                    <p>{{session('status')}}</p>
                                </div>
                            @endif
                        </div>
                        <!-- /.card-header -->
                        <form action="{{url('admin/category/store')}}" method="post" enctype="multipart/form-data">
                            {{csrf_field()}}
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Category Name</label>
                                            <input type="text" class="form-control" name="name" placeholder="Category Name">
                                        </div>
                                    </div>
                                    <!-- /.col -->
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Feature Image</label>
                                            <input type="file" class="form-control" name="feature_image" accept="image/*" onchange="loadFile(event)" >
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div style="display: block; margin: 0 auto; padding-top: 20px;">
                                            <div class="form-group">
                                                <img id="output" width="100%"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Status</label>
                                            <select class="form-control" name="status">
                                                <option value="0">Active</option>
                                                <option value="1">Inactive</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Category Display Order</label>
                                            <input type="text" class="form-control" name="display_order" placeholder="Order">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer">
                                <button type="submit" class="btn btn-success">Submit</button>
                            </div>
                        </form>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Existing Categories</h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Category Name</th>
                                    <th>Slug</th>
                                    <th>Display Order</th>
                                    <th>Status</th>
                                    <th>Edit</th>
                                    {{--<th>Delete</th>--}}
                                </tr>
                                </thead>
                                <?php $n = 0 ?>
                                @foreach($data as $row)
                                    <?php $n++; ?>
                                    <tr>
                                        <td>{{$n}}</td>
                                        <td>{{$row->name}}</td>
                                        <td>{{$row->slug}}</td>
                                        <td>{{$row->display_order}}</td>
                                        <td>{{$row->status == 0 ? 'Active' : 'Inactive'}}</td>
                                        <td>
                                            <div class="text-center">
                                                <a href="{{url('admin/category/edit/'.$row->id)}}"
                                                   class="btn btn-outline-info"><i class="fa fa-edit"></i></a>
                                            </div>
                                        </td>
                                        {{--<td>--}}
                                            {{--<form action="{{url('admin/category/destroy/'.$row->id)}}" method="post">--}}
                                                {{--@csrf--}}
                                                {{--<div class="text-center">--}}
                                                    {{--<button type="submit" class="btn btn-outline-danger disabled"><i class="fa fa-trash"></i></button>--}}
                                                {{--</div>--}}
                                            {{--</form>--}}
                                        {{--</td>--}}
                                    </tr>
                                @endforeach
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@include('admin.includes.footer')

<script src="https://cdn.datatables.net/buttons/1.5.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.flash.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.print.min.js"></script>

<script>
    $(document).ready(function () {
        $('#example').DataTable({
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'print'
            ],
            "order": [[0, "desc"]]
        });
    });
</script>
<script>
    var loadFile = function(event) {
        var output = document.getElementById('output');
        output.src = URL.createObjectURL(event.target.files[0]);
    };
</script>