@include('admin.includes.header')
@include('admin.includes.top-nav')
@include('admin.includes.side-nav')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                {{--<div class="col-sm-6">--}}
                    {{----}}
                {{--</div><!-- /.col -->--}}
                <div class="col-md-12">
                    <h1 class="text-dark float-left">Manage Products</h1>
                    <a href="{{url('admin/product')}}" class="btn btn-outline-info float-right">Back to Products</a>
                </div>
                <div class="col-sm-6">
                    {{--<ol class="breadcrumb float-sm-right">--}}
                    {{--<li class="breadcrumb-item"><a href="#">Home</a></li>--}}
                    {{--<li class="breadcrumb-item active">Starter Page</li>--}}
                    {{--</ol>--}}
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Add new Product</h4>
                            <div class="card-tools">
                                <button type="button" class="btn btn-tool" data-widget="remove"><i
                                            class="fa fa-remove"></i></button>
                            </div>
                        </div>
                        <div class="col-md-8 offset-md-2">
                            @if ($errors->any())
                                <div class="alert">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li class="text-danger">{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session('status'))
                                <div class="alert alert-dismissible mt-5 alert-success ">
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">
                                        &times;
                                    </button>
                                    <h5><i class="icon fa fa-check"></i> Success Message</h5>
                                    <p>{{session('status')}}</p>
                                </div>
                            @endif
                        </div>
                        <!-- /.card-header -->
                        <form action="{{url('admin/product/update/'.$data->id)}}" method="post" enctype="multipart/form-data">
                            {{csrf_field()}}
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Product Name</label>
                                            <input type="text" class="form-control" name="name" placeholder="Product Name" value="{{$data->name}}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Category</label>
                                            <select class="form-control" name="category_id">
                                                <option value="{{$data->cat_id}}">{{$data->category->name}}</option>
                                                @foreach($categories as $category)
                                                    <option value="{{$category->id}}">{{$category->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Description</label>
                                            <textarea class="form-control" rows="10" name="description">{{$data->description}}</textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div style="display: block; margin: 0 auto; padding-top: 20px;">
                                            <?php
                                            if($data->feature_image == null ){
                                            echo "No Image found";
                                            } else{
                                           ?>
                                                <img src="{{url('uploads/products/'.$data->feature_image)}}" width="100%"/>
                                                <?php
                                                }
                                            ?>

                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-4">
                                        <div class="form-group">
                                            <label>Status</label>
                                            <select class="form-control" name="status">
                                                <option value="{{$data->status}}">{{$data->status == 0 ? "Active" : "Deactivate"}}</option>
                                                <option value="0">Active</option>
                                                <option value="1">Deactivate</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-4">
                                        <div class="form-group">
                                            <label>Offer Status</label>
                                            <select class="form-control" name="offer" id="offer">
                                                <option value="{{$data->offer}}">{{$data->offer == 0 ? "Deactivate" : "Active"}}</option>
                                                <option value="{{$data->offer == 1 ? "0" : "1"}}">{{$data->offer == 1 ? "Deactivate" : "Active"}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Selling Price</label>
                                            <input type="text" class="form-control" name="selling_price" value="{{$data->selling_price}}">
                                        </div>
                                    </div>
                                    <div class="col-md-6" style="display: none" id="offer_price">
                                        <div class="form-group">
                                            <label>Offer Price</label>
                                            <input type="text" class="form-control" name="offer_price" value="{{$data->offer_price}}">
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-4 ">
                                        <div class="form-group text-center">
                                            <a class="btn btn-outline-primary" data-toggle="modal" data-target="#{{$data->id}}">Update Feature Image</a>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-4">
                                        <div class="form-group text-center">
                                            <a class="btn btn-outline-primary" data-toggle="modal" data-target="#thumbnail">Update Thumbnail Image</a>
                                        </div>
                                    </div>
                                    <!-- /.col -->
                                </div>
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@include('admin.includes.footer')

<script src="https://cdn.datatables.net/buttons/1.5.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.flash.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.5.2/js/buttons.print.min.js"></script>

<script>
    $(document).ready(function () {
        $('#example').DataTable({
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'print'
            ],
            "order": [[0, "desc"]]
        });
    });
</script>
<script>
    var loadFile = function(event) {
        var output = document.getElementById('output');
        output.src = URL.createObjectURL(event.target.files[0]);
    };

    var loadFile2 = function(event) {
        var output2 = document.getElementById('output2');
        output2.src = URL.createObjectURL(event.target.files[0]);
    };
</script>
<script>
    $(function () {
        $("#offer").change(function() {
            var val = $(this).val();
            if(val === "1") {
                $("#offer_price").show();
            } else {
                $("#offer_price").hide();
            }
        });
    });
</script>
<!-- Feature Image -->
<div class="modal fade" id="{{$data->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Update Feature Image</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{url('admin/product/image-update/'.$data->id)}}" method="post" enctype="multipart/form-data">
                {{csrf_field()}}
                    <div class="col-md-12">
                        <div class="form-group">
                            <input type="hidden" name="id" value="{{$data->id}}">
                            <label>Feature Image</label>
                            <input type="file" class="form-control" name="feature_image" accept="image/*" onchange="loadFile(event)" >
                            <input type="hidden" class="form-control" name="current_feature_image" value="{{$data->feature_image}}">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div style="display: block; margin: 0 auto; padding-top: 20px;">
                            <div class="form-group">
                                <img id="output" width="100%"/>
                            </div>
                        </div>
                    </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Save changes</button>
            </div>
            </form>
        </div>
    </div>
</div>

{{--Thumbnail Image--}}

<div class="modal fade" id="thumbnail" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Update Feature Image</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{url('admin/product/feature-image-update/'.$data->id)}}" method="post" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="col-md-12">
                        <div class="form-group">
                            <input type="hidden" name="id" value="{{$data->id}}">
                            <label>Thumbnail Image</label>
                            <input type="file" class="form-control" name="thumbnail" accept="image/*" onchange="loadFile2(event)" >
                            <input type="hidden" class="form-control" name="current_thumbnail" value="{{$data->thumbnail}}">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div style="display: block; margin: 0 auto; padding-top: 20px;">
                            <div class="form-group">
                                <img id="output2" width="100%"/>
                            </div>
                        </div>
                    </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Save changes</button>
            </div>
            </form>
        </div>
    </div>
</div>