<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','Site\SiteController@index');

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home');

//Route::get('/site', 'Site\SiteController@index');
Route::get('/category/{id}', 'Site\SiteController@category');
Route::get('/single/{id}', 'Site\SiteController@single');
Route::get('/single-images/{id}', 'Site\SiteController@singleProductImages');
Route::get('/offers/', 'Site\SiteController@offers');
Route::post('/inquiry-form/', 'Site\ContactForms@store');
Route::get('/achievements/', 'Site\SiteController@achievements');
Route::get('/privacy/', 'Site\SiteController@privacy');
Route::get('/gallery/', 'Site\SiteController@gallery');

Route::any ( '/search', function () {
    $q = \Illuminate\Support\Facades\Input::get ( 'q' );
    $products = \App\Prodcut::where ( 'name', 'LIKE', '%' . $q . '%' )->get ();
    if (!isset($q)){
        return view ( 'site.404');
    } elseif (count ( $products ) > 0){
        return view ( 'site.search', compact('products') );
    } else {
        return view ( 'site.404');
    }
} );

Route::group(['middleware' => ['auth']], function () {

    Route::get('/admin/category', 'Categories@index');
    Route::post('/admin/category/store', 'Categories@store');
    Route::get('/admin/category/edit/{id}', 'Categories@edit');
    Route::post('/admin/category/update/{id}', 'Categories@update');
    Route::post('/admin/category/update_feature_image/{id}', 'Categories@update_feature_image');
    Route::post('/admin/category/destroy/{id}', 'Categories@destroy');

    Route::get('/admin/product/', 'Product@index');
    Route::post('/admin/product/store', 'Product@store');
    Route::get('/admin/product/edit/{id}', 'Product@edit');
    Route::post('/admin/product/update/{id}', 'Product@update');
    Route::post('/admin/product/image-update/{id}', 'Product@image_update');
    Route::post('/admin/product/feature-image-update/{id}', 'Product@feature_image_update');

    Route::get('/admin/product/gallery/{id}', 'Product@gallery');
    Route::post('/admin/product/gallery/', 'Product@gallery_store');
    Route::post('/admin/product/gallery/destroy/{id}', 'Product@gallery_destroy');

    //Hide public register form temporarily
    Route::get('/register','Auth\RegisterController@showRegistrationForm');

    Route::get('/admin/index/', 'Admin@index');
    Route::get('/admin/register/', 'Admin@staffRegister');
    Route::post('/admin/user/store', 'Admin@staffStore');
    Route::get('/admin/chat/admin/', 'Admin@liveChat');

});