<?php /* E:\xampp\htdocs\projects\client\kent-laravel\resources\views/layouts/app.blade.php */ ?>
<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Kent Backend')); ?></title>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>
<body>
    <div id="app">
       <div class="container-fluid" style="background-color: #c4c9bd">
           <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
               <div class="container">
                   <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                       <img class="logo navbar-brand" src="<?php echo e(asset('assets/frontend/imgs/logo.png')); ?>" width="60"/>
                   </a>
                   <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                       <span class="navbar-toggler-icon"></span>
                   </button>

                   <div class="collapse navbar-collapse" id="navbarSupportedContent">
                       <!-- Left Side Of Navbar -->
                       <ul class="navbar-nav mr-auto">

                       </ul>

                       <!-- Right Side Of Navbar -->
                       <ul class="navbar-nav ml-auto">
                           <!-- Authentication Links -->
                           <?php if(auth()->guard()->guest()): ?>
                               <li class="nav-item">
                                   <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                               </li>
                               <?php if(Route::has('register')): ?>
                                   <li class="nav-item">
                                       <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                   </li>
                               <?php endif; ?>
                           <?php else: ?>
                               <li class="nav-item dropdown">
                                   <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                       <?php echo e(Auth::user()->name); ?> <span class="caret"></span>
                                   </a>

                                   <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                       <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                          onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                           <?php echo e(__('Logout')); ?>

                                       </a>

                                       <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                           <?php echo csrf_field(); ?>
                                       </form>
                                   </div>
                               </li>
                           <?php endif; ?>
                       </ul>
                   </div>
               </div>
           </nav>
       </div>

        <main class="py-4">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>
</body>
</html>
